DIR(1)

NAAM
dir - toon map inhoud

SAMENVATTING
dir [OPTIE]... [BESTAND]...

BESCHRIJVING

Toon informatie over de gegeven BESTANDen (standaard in de huidige map). De items worden alfabetisch gesorteerd als geen van de opties -cftuvSUX noch --sort gegeven is.

Een verplicht argument bij een lange optie is ook verplicht voor de korte optie.

-a, --all
    ook de namen tonen die beginnen met een '.'

-A, --almost-all
    items '.' en '..' weglaten

--author
    met -l, toon de auteur van elk bestand

-b, --escape
    niet-grafische tekens tonen als codes in C-stijl

--block-size=GROOTTE
    met -I, schaal de groottes met GROOTTE tijdens afdrukken; b.v. '--block-size=M'; zie GROOTTE formaat hieronder

-B, --ignore-backups
    geen namen tonen die eindigen op ~

-c  met -lt: op 'ctime' sorteren en deze tonen (de tijd van de laatste statusinformatiewijziging); met -l: op naam sorteren en 'ctime' tonen; anders: op 'ctime' sorteren, recentste eerst

-C  de items in kolommen presenteren

--color[=WANNEER]
    bestandstypen met kleuren onderscheiden; WANNEER is 'always' (altijd), 'never' (nooit), of 'auto' (uitvoerapparaat afhankelijk); meer informatie hieronder

-d, --directory
    toon alleen mappen, niet hun inhoud

-D, --dired
    uitvoer produceren voor de 'dired'-modus van Emacs

-f  hetzelfde als -aU zonder -ls --color

-F, --classify
    achter elk item het type aanduiden (één van */=>@|)

--file-type
    idem, behalve '*' niet achteraan toevoegen

--format=WOORD
    pagina breed -x, komma's -m, horizontaal -x, lang -l, enkele-kolom -1, uitgebreid -l, verticaal -C

--full-time
    hetzelfde als -l --time-style=full-iso

-g  als -l, maar geen eigenaar tonen

--group-directories-first
    mappen vóór bestanden groeperen;

    kan aangevuld worden met een --sort, maar gebruik van --sort=none of -U deactiveert groepering

-G, --no-group
    in een lange lijst, druk groep namen niet af

-h, --human-readable
    met -I en -s, toon de groottes zoals b.v. 1K 234M 2G

--si
    idem, maar machten van 1000 i.p.v. 1024 gebruiken

-H, --dereference-command-line
    symbolische koppelingen op opdrachtregel volgen

--dereference-command-line-symlink-to-dir
    symbolische koppelingen op opdrachtregel

    die naar een map verwijzen volgen

--hide=PATROON
    de namen die voldoen aan PATROON niet tonen (geldt niet samen met -a of -A)

--hyperlink[=WANNEER]
    hyperlink bestandsnamen; ALS van 'altijd' (standaard als weggelaten), 'auto' or 'nooit'

--indicator-style=WOORD
    op deze wijze achter elk item het type aanduiden; WOORD kan zijn: 'none' (standaard), 'slash' (-p), 'file-type' (--file-type) of 'classify' (-F)

-i, --inode
    het indexnummer van elk bestand tonen

-I, --ignore=PATROON
    de namen die voldoen aan PATROON niet tonen

-k, --kibibytes
    standaard in 1024-byte blokken voor disk gebruik; wordt alleen gebruikt met -s en voor totalen van mappen

-l  uitgebreide bestandsinformatie tonen

-L, --dereference
    bij het tonen van bestandsinformatie voor een symbolische koppeling, de informatie over het bestand waar de koppeling naar verwijst tonen in plaats van over de koppeling zelf

-m  geen kolommen maar komma gescheiden lijst tonen

-n, --numeric-uid-gid
    als -l, met numerieke gebruikers- en groeps-ID's

-N, --literal
    de item namen tonen zonder aanhalingen of escapes

-o  als -l, maar groepsinformatie niet tonen

-p, --indicator-style=slash
    een '/'-indicator achter map namen toevoegen

-q, --hide-control-chars
    een '?' tonen in plaats van niet-grafische tekens

--show-control-chars
    niet-grafische tekens tonen zoals ze zijn (standaard, tenzij uitvoer naar terminal gaat)

-Q, --quote-name
    item namen omsluiten met aanhalingstekens

--quoting-style=WOORD
    gebruik de quote stijl WOORD voor item namen: literal, local, shell, shell- always, shell-escape, shell-escape-always,c, escape (overschrijft de QUOTING_STYLE omgevingsvariabele)

-r, --reverse
    de sorteervolgorde omdraaien

-R, --recursive
    submappen recursief tonen

-s, --size
    toegewezen aantal blokken tonen voor ieder bestand

-S  op bestandsgrootte sorteren (grootste eerst)

--sort=WIJZE
    te gebruiken sorteerwijze; WIJZE kan zijn: none (-U), size (-S), time (-t), version (-v), extension (-X)

--time=SOORT
    verander de standaard van modificatie tijden; toegangs tijdstip (B(-u): atime, toegang, gebruik; veranderings tijdstip (-c): ctime, status; aanmaak tijd: aanmaak, creatie;

    met -I, WOORD bepaald welk tijdstip getoond wordt; met --sort=tijd , sorteer op WOORD (nieuwste eerste)

--time-style=TIJD_STIJL
    datum/tijd formaat met -I; zie TIJD_STIJL hieronder

-t  sorteer op tijdstip, nieuwste eerst; zie --tijd

-T, --tabsize=AANTAL
    te gebruiken tabstop AANTAL in plaats van 8

-u  met -lt: op toegangstijd sorteren en deze tonen; met -l: toegangstijd tonen en op naam sorteren; anders: op toegangstijd sorteren (nieuwste eerst)

-U  de items ongesorteerd tonen, op plaatsingsvolgorde

-v  logisch sorteren op (versie)nummers in de naam

-w, --width=BREEDTE
    te gebruiken scherm BREEDTE; 0 betekent onbegrensd

-x  de items per regel tonen i.p.v. in kolommen

-X  alfabetisch sorteren op bestands extensie

-Z, --context
    beveiligingscontext van elk bestand tonen

-1  één item per regel tonen; onderdruk '\n' met -q of -b

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

GROOTTE is een geheel getal met een optionele eenheid (bijv. 10K is 10*1024). Mogelijke eenheden zijn: K, M, G, T, P, E, Z, Y (machten van 1024) of KB, MB, ... (machten van 1000). Binaire prefixen mogen ook gebruikt worden: KiB=K, MiB=M, etc.

Het TIJD_STIJL argument is full-iso, long-iso, iso, locale of +FORMAAT. FORMAAT wordt geïnterpreteerd zoals in date(1). Als FORMAAT van de vorm is als FORMAAT1<newline>FORMAAT2, dan hoort FORMAAT1 bij niet-recente bestanden en FORMAAT2 bij recente bestanden. TIJD_STIJL voorafgegaan met 'posix'- heeft alleen effect buiten de POSIX locale. Tevens bepaalt de TIJD_STIJL omgevingsvariabele de standaard te gebruiken stijl.

Het gebruik van kleuren om bestandstypes te onderscheiden kan uitgeschakeld worden met --color=never (standaard). Met --color=auto produceert 'ls' alleen kleurcodes als standaarduitvoer verbonden is met een terminal. Omgevingsvariabele LS_COLORS kan deze instellingen wijzigen. Gebruik het commando 'dircolors' om deze variabele in te stellen.

  De afsluitwaarde is:

0   indien OK,

1   bij kleine problemen (bijv. geen toegang tot een submap),

2   bij serieuze problemen (bijv. geen toegang tot argument op opdrachtregel)

AUTEUR
Geschreven door Richard M. Stallman en David MacKenzie.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>.
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

ZIE OOK
Volledige documentatie op: <https://www.gnu.org/software/coreutils/dir>
of lokaal via: info '(coreutils) dir invocation'

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com> Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID. Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.